Sound = {
	love.audio.newSource('Sounds/WEAPONS/MP5_SHOT1_L.WAV', 'static'), --1
	love.audio.newSource('Sounds/WEAPONS/BULLET_BY_IN_6.WAV', 'static'),--2
	love.audio.newSource('Sounds/WEAPONS/BULLET_BY_IN_7.WAV', 'static'),--3
	love.audio.newSource('Sounds/WEAPONS/BULLET_BY_IN_8.WAV', 'static'),--4
	love.audio.newSource('Sounds/WEAPONS/BULLET_BY_IN_9.WAV', 'static'),--5
	love.audio.newSource('Sounds/Part.wav', 'static'),--6
	love.audio.newSource('Sounds/Death.wav', 'static')--7
}

Music = {
	love.audio.newSource('Sounds/Music/xenogenocide_reflection_o_the_soul.ogg', 'stream'),
	love.audio.newSource('Sounds/Music/xenogenocide_silently_i_strike.ogg', 'stream');
}
Audio = {};

Sound[1]:setVolume(1);
Music[1]:setVolume(0.7);
Music[1]:setLooping(true)

Music[2]:setVolume(0.7);
Music[2]:setLooping(true)

function Audio.Play(index)
	if(ConfSound) then
		Sound[index]:stop();
		Sound[index]:play();
	end
end

function Music.Play(index)
	if(ConfMusic and Music[index]:isPlaying() == false) then
		love.audio.stop();
		Music[index]: play();
	end
end

function Music.Stop(index)
	Music[index]:stop();
end

function Audio.PlayWithPitch(index, pitch)
	if(ConfSound) then
		Sound[index]:stop();
		Sound[index]:setPitch(pitch);
		Sound[index]:play();
	end
end